﻿using Abp.Application.Services.Dto;
using Abp.AutoMapper;
using System;
using System.ComponentModel.DataAnnotations;

namespace MineTec.ProManager.FigureNumber.Dto
{
    [AutoMapTo(typeof(Entitys.Graphic.FigureNumber.FigureNumber))]
    public class CreateUpdateFigureNumberDto : EntityDto<Guid>
    {
        /// <summary>
        /// 创建日期
        /// </summary>
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 创建人ID
        /// </summary>
        [StringLength(50)]
        public string? CreateUserID { get; set; }
        /// <summary>
        /// 创建人姓名
        /// </summary>
        [StringLength(50)]
        public string? CreateUserName { get; set; }
        /// <summary>
        /// 修改日期
        /// </summary>
        public DateTime? UpdateTime { get; set; }
        /// <summary>
        /// 修改人ID
        /// </summary>
        [StringLength(50)]
        public string? UpdateUserID { get; set; }
        /// <summary>
        /// 修改人名称
        /// </summary>
        [StringLength(50)]
        public string? UpdateUserName { get; set; }
        /// <summary>
        /// 图号编码
        /// </summary>
        public string FigureNum { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [StringLength(300)]
        public string? Remark { get; set; }
        /// <summary>
        ///是否删除：0 否, 1 是
        /// </summary>
        public int IsDelete { get; set; }

        public DateTime CreationTime { get; set; }
    }
}
