﻿using Abp.Application.Services.Dto;
using Abp.AutoMapper;
using System;
using System.ComponentModel.DataAnnotations;

namespace MineTec.ProManager.GalleryFiles.Dto
{
    [AutoMapTo(typeof(Entitys.Graphic.GalleryFiles.GalleryFiles))]

    public class CreateUpdateGalleryFilesDto : EntityDto<Guid>
    {
        /// <summary>
        /// 创建日期
        /// </summary>
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 创建人ID
        /// </summary>
        [StringLength(50)]
        public string CreateUserID { get; set; }
        /// <summary>
        /// 创建人姓名
        /// </summary>
        [StringLength(50)]
        public string CreateUserName { get; set; }
        /// <summary>
        /// 修改日期
        /// </summary>
        public DateTime? UpdateTime { get; set; }
        /// <summary>
        /// 修改人ID
        /// </summary>
        [StringLength(50)]
        public string UpdateUserID { get; set; }
        /// <summary>
        /// 修改人名称
        /// </summary>
        [StringLength(50)]
        public string UpdateUserName { get; set; }
        /// <summary>
        /// 关联图库ID
        /// </summary>
        [StringLength(50)]
        public string GalleryInformationID { get; set; }
        /// <summary>
        /// 图纸编号
        /// </summary>
        public string FileNum { get; set; }
        /// <summary>
        /// 副编码
        /// </summary>
        public string Subcode { get; set; }
        /// <summary>
        /// 图纸名称
        /// </summary>
        [StringLength(300)]
        public string FileName { get; set; }
        /// <summary>
        ///是否关联附件：0 否, 1 是
        /// </summary>
        public int IsAnnex { get; set; }
        /// <summary>
        ///是否删除：0 否, 1 是
        /// </summary>
        public int IsDelete { get; set; }

        public DateTime CreationTime { get; set; }
    }
}
