﻿using Abp.Domain.Entities;
using Abp.Domain.Entities.Auditing;
using System;
using System.ComponentModel.DataAnnotations;

namespace MineTec.ProManager.Entitys.Graphic.GalleryInformation
{
    [System.ComponentModel.DataAnnotations.Schema.Table("GalleryInformation")]
    public class GalleryInformation : Entity<Guid>, IHasCreationTime
    {
        /// <summary>
        /// 创建日期
        /// </summary>
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 创建人ID
        /// </summary>
        [StringLength(50)]
        public string CreateUserID { get; set; }
        /// <summary>
        /// 创建人姓名
        /// </summary>
        [StringLength(50)]
        public string CreateUserName { get; set; }
        /// <summary>
        /// 修改日期
        /// </summary>
        public DateTime? UpdateTime { get; set; }
        /// <summary>
        /// 修改人ID
        /// </summary>
        [StringLength(50)]
        public string UpdateUserID { get; set; }
        /// <summary>
        /// 修改人名称
        /// </summary>
        [StringLength(50)]
        public string UpdateUserName { get; set; }
        /// <summary>
        /// 图库编号
        /// </summary>
        public string GalleryNum { get; set; }
        /// <summary>
        /// 备注信息
        /// </summary>
        [StringLength(300)]
        public string Remark { get; set; }
        /// <summary>
        ///是否删除：0 否, 1 是
        /// </summary>
        public int IsDelete { get; set; }

        public DateTime CreationTime { get; set; }
    }
}
